package com.lanren.huhu.partner.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import com.lanren.huhu.partner.dao.PartnerAccountMapper;
import com.lanren.huhu.partner.domain.PartnerAccount;
import com.lanren.huhu.partner.service.PartnerAccountService;
@Service
public class PartnerAccountServiceImpl extends ServiceImpl<PartnerAccountMapper, PartnerAccount> implements PartnerAccountService{

    @Override
    public int updateBatch(List<PartnerAccount> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    public int batchInsert(List<PartnerAccount> list) {
        return baseMapper.batchInsert(list);
    }
    @Override
    public int insertOrUpdate(PartnerAccount record) {
        return baseMapper.insertOrUpdate(record);
    }
    @Override
    public int insertOrUpdateSelective(PartnerAccount record) {
        return baseMapper.insertOrUpdateSelective(record);
    }


    public PartnerAccount getOne(Long userId){
        QueryWrapper<PartnerAccount> queryWrapper = new QueryWrapper();
        queryWrapper.eq("user_id", userId);
        baseMapper.selectCount(queryWrapper);
        return  new PartnerAccount();
    }
}
